%define build_debug     0
%define build_cvs	0

%{?_with_debug: %{expand: %%define build_debug 1}}
%{?_without_debug: %{expand: %%define build_debug 0}}

%define	name	blender
%define	version	2.34
%define release	1mdk
%define	Summary	A fully functional 3D modeling/rendering/animation package

Summary:	%{Summary}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Graphics
Source0:	http://download.blender.org/source/blender-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
URL: 		http://www.blender.org/
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	scons
BuildRequires:	openal-devel >= 0.0.6-9mdk MesaGLU-devel esound-devel jpeg-devel
BuildRequires:	openssl-devel png-devel python-devel SDL-devel smpeg-devel
BuildRequires:	oggvorbis-devel zlib-devel XFree86-devel
Requires:	python-imaging >= 1.1.4

%description
Blender is the in-house software of a high quality animation studio.
It has proven to be an extremely fast and versatile design instrument.
The software has a personal touch, offering a unique approach to the
world of three dimensions. Blender can be used to create TV
commercials, to make technical visualizations or business graphics, to
do some morphing, or to design user interfaces. Developers can easily
build and manage complex environments. The renderer is versatile and
extremely fast. All basic animation principles (curves and keys) are
implemented.

%if %build_debug
This version is build with debug enabled.
%endif

%prep
%setup -q

%build
%if %build_debug
BUILD_BINARY=debug \
%endif
scons

%install
rm -rf $RPM_BUILD_ROOT
install -m755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a $RPM_BUILD_ROOT%{_libdir}/*.la

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" \
	needs="X11" \
	icon="%{name}.png" \
	section="Multimedia/Graphics" \
	title="Blender" \
	longtitle="%{Summary}"
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%if %build_debug
export DONT_STRIP=1
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README INSTALL COPYING doc/*.txt doc/*.html
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Fri Aug  6 2004 Olivier Blin <blino@mandrake.org> 2.34-1mdk
- 2.34 : http://www.blender3d.org/cms/Blender_2_34.319.0.html
- remove gcc/libstdc++ patches (fixed upstream)
- fix doc files list

* Wed Jun 23 2004 Olivier Blin <blino@mandrake.org> 2.33a-1mdk
- 2.33a (yeah, game engine is back)
- rediff Patch1
- more gcc 3.4 template fixes (Patch2)
- switch to scons build system

* Wed Jun 16 2004 Olivier Blin <blino@mandrake.org> 2.32-2mdk
- rebuilt for new libstdc++
- Added Patch0 to fix build with new libstdc++
- Added Patch1 to fix build with gcc 3.4

* Fri Apr 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.32-1mdk
- 2.32
- fix buildrequires (lib64..)
- don't bzip2 icons in src.rpm

* Tue Mar 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.31a-2mdk
- rebuild

* Fri Dec 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.31a-1mdk
- 2.31a

* Mon Dec 01 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.31-1mdk
- Release: 2.31.

* Thu Nov 06 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.30-1mdk
- Release: 2.30.
- Removed Patch0, Patch1, no longer needed.

* Thu Sep 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.28a-3mdk
- Added Patch1 to fix crash on startup.

* Wed Sep 10 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.28a-2mdk
- Release: 2.28a.
- Removed old Patch0.
- Added Patch0 to fix junk lines in configure.
- Added python-imaging to Requires to avoid crash on startup.

* Wed Sep 03 2003 Olivier Blin <oliv.blin@laposte.net> 2.28a-1mdk
- 2.28a (bugfix release)
- fix changelog

* Fri Aug 08 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.28-3mdk
- rebuild against python for real (me suckysucky long time, and not in a good way;)

* Thu Aug 07 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.28-2mdk
- rebuild for new python

* Sat Jul 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.28-1mdk
- 2.2.8
- updated docs

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.27-2mdk
- rebuild
- change summary macro to avoid possible conflicts if we were to build debug package

* Tue May 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.27-1mdk
- 2.27
- quiet setup
- fixed buildrequires, also clutter .spec file with one line for each
- fix missing summary macro used in menu item
- a little macroisation
- regenerate Patch0
- added some docs

* Wed Feb 12 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.26-1mdk
- Updated to release 2.26.
- Disabled gameblender building (problems with libopenal).
- Added Patch0 to avoid library conflicts during building.

* Mon Nov 25 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.25b-3mdk
- Use .png extensions in %files list.

* Sun Nov 24 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.25b-2mdk
- Merged with prepared SPEC file.
- Build static version.
- Changed icons.
- Added some BuildRequires.
- Revert to static.
- Added Url for Source0, so to understand which source is used.

* Sat Nov 23 2002 Per yvind Karlsen <peroyvind@sintrax.net> 2.25-b.1mdk
- Initial relase
